SOS! ATI Radeon Dual Graphics

Fórum: 

 Srácok nagyon elszúrtam!

Ezek a kártyáim vannak (Radeon HD 7640G-Radeon HD 8570M 2GB DDR3 VRAM).

Mivel a illesztőprogram-kezelő szerint az laplapi kártyát használta a rendszert az ajánlott helyett a fglrx-updates-t telepitettem. A kép róla: http://imgur.com/TlQRKYb. újraindult semmi gond.

De reggel már alig akar indulni a gép, és amikor betöltött ez a figyelmeztetés fogadott. Kép: http://imgur.com/02uvE3j

Gyorsan visszaállítottam az ajánlottra, de még mindig ezt az üzenettet irja ki a rendszer. A videónál is észre lehet venni, hogy nem jó az illesztő program.

A kérdésem az, hogy vssza lehet-e állítani a régi illesztőprogramra, És hogyan, mit csináljak?

Ha rendben van a gép akkor, hogy lehetne a jobb videókártyát használni?

Az inditópult szerint a rendszerrel indul a (Support for NVIDIA Prime: shows a tray icon when a compatible NVIDIA optimus gr....). Ez kikapcsolhatom hisz nekem ATI Radeon kártyáim vannak?

kimarite képe

Driver

A 3D gyorsításról a következő teszttel bizonyosodhatsz meg,

glxinfo | egrep -i 'render|opengl'

a videókártyád állapotáról ezzel.

lspci -nnkv | tee -a lspci_amd_intel.txt

Mindkét kimenetet ide kérjük másolni. De a másodiknál úgy nézheted meg a kimenetet, hogy a 'lspci_amd_intel.txt' fájlt megnyitod,
Fájlkezelő > Saját Mappa (itt lesz)
és ez utóbbi kimenetet feltétlen -mert hosszú szöveg lesz- a pastebin-re kérjük feltölteni (http://pastebin.com). Ott elnevezed, mented és visszalinkeled ide (URL). És akkor mi is látjuk majd.

A 'mesa-utils' csomi amúgy telepítve van?
(szoftverkezelő vagy synaptic, ezekben megnézheted)

Javítás tekintetében beszélhetnék a GRUB/Recovery (Hibajavítás) módú belépésről, de alábbi parancsok futtatása is elég lehet - ebben a sorrendben;

sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get update
sudo apt-get upgrade

és utána újraindítod a rendszert, akár így

sudo reboot

Értékelés: 

0
Még nincs értékelve

RE:Driver

#1  

Értékelés: 

0
Még nincs értékelve

SOS! ATI Radeon Dual Graphics

 A hosszú szöveg: http://pastebin.com/qTQTLKr1

A 3D gyorsítás: http://imgur.com/SKk0OCz

Azt hittem, hogy ha a kezelőben csinálom vissza is tudom vonni. Tévedtem :)

A mesa-utils telepítve van.

Szólj mikor irhatom be a parancskódokat

Értékelés: 

0
Még nincs értékelve

bár talán nemtartozik a

bár talán nemtartozik a tárgyhoz szorosan, de a minap frissült az fglrx -updates is (Ahohy a képen látszik)...nálam rendben megy a "műsor" vele tovább.. 

Értékelés: 

0
Még nincs értékelve

RE:bár talán nemtartozik a

Neked egy, vagy kettős képernyő vezérlőd van? 

Értékelés: 

0
Még nincs értékelve

na azt se tudom miaz, már

na azt se tudom miaz, már bocsánat a tudatlanságért (alaplapi +megdedikált ati????)

hát így:

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] [1002:665f] (rev 81) (prog-if 00 [VGA controller]) Subsystem: Gigabyte Technology Co., Ltd Device [1458:22b9] Flags: bus master, fast devsel, latency 0, IRQ 37 Memory at d0000000 (64-bit, prefetchable) [size=256M] Memory at cf800000 (64-bit, prefetchable) [size=8M] I/O ports at d000 [size=256] Memory at feac0000 (32-bit, non-prefetchable) [size=256K] Expansion ROM at feaa0000 [disabled] [size=128K] Capabilities: Kernel driver in use: fglrx_pci

Értékelés: 

0
Még nincs értékelve

Sanos nekem nem látja a

Sanos nekem nem látja a második kártyámat. Lehet mert kicsit elrontottam a dolgokat.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:Sajnos nekem nem látja a (nyílt és zárt driver)

#8 A második kártya annyira most nem érdekes, inkább az, hogy a zárt AMD driver (fglrx) eltávolítása után, a rendszer azt használja  ... mégis:

00:01.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7640G] [1002:9903] (prog-if 00 [VGA controller])
     Subsystem: Lenovo Device [17aa:3804]
     Flags: bus master, fast devsel, latency 0, IRQ 17
     Memory at d0000000 (32-bit, prefetchable) [size=256M]
     I/O ports at 4000 [size=256]
     Memory at f0300000 (32-bit, non-prefetchable) [size=256K]
     Expansion ROM at <unassigned> [disabled]
     Capabilities: <access denied>
     Kernel driver in use: fglrx_pci

Megoldás
Megnyitod a Synaptic-ot, és megkeresed a visszamaradt beállításokat.
Az alábbi képen nem láthatod ezt az elemet, mert nekem nincsenek ilyenek, de ugyanitt lesz balra fenn (név szerint), ha balra alul kiválasztod az 'Állapot' rádiógombot (megnyomod). És a csomagokat a 'Teljes eltávolítás'-ra jelölöd ki, majd rányomsz az 'Alkalmaz' rádiógombra. Erre példa csak a kép: teljes eltávolítás.
- vélhetően nevükben 'fglrx'-et tartalmazók lesznek ott,

     '- a 'Kereső' (Quick Filter) alatt kicsit jobbra látható a 'Telepített verzió' felirat,
        ezt kétszer megnyomod, a lényeg az, hogy a nyilacska felfelé mutasson.
        S így a telepített csomagokat egy halmazban, egymás alatt látod.
'

Ugyanezt érheted el az alábbi parancs kiadásával is

sudo apt-get autoremove

- nálad mit ír ki?

Van xorg.conf fájlod? Érdemes átnevezni,

sudo mv /etc/X11/xorg.conf /etc/X11/xorg.conf.ORIG

mert (általában) csak a zárt driver használja.

De ennyi nem elég, az újrakonfiguráláshoz a beállításaival együtt -az alábbi módon!- újra kell telepíteni a nyílt drivert - amit elvileg használsz, gyakorlatilag meg nem ez látszik.

sudo apt-get install --reinstall xserver-xorg-video-ati

! De inkább nézd meg mi van ebből jelenleg telepítve, mert több verzió létezik -hosszabb névvel- és ami jelenleg neked telepítve van ezek közül
http://packages.ubuntu.com/search?suite=default&section=all&arch=any&key...
(Synaptic-ban ellenőrzöd), azt vagy ha több is van, akkor azokat kell a fenti (!) módon újratelepíteni.

Végül újraindítod a rendszert
(ha minden megcsináltál, amit írtam - de azért ezekről, akár lépésenként is, de számolj be itt)

sudo reboot

Amit nem értek, az ez:
(a képről)

OpenGL vendor string: VMware, Inc.

Tehát VMware-ben futtatod a Mint-tet?
http://www.mesa3d.org/vmware-guest.html
https://bbs.archlinux.org/viewtopic.php?id=175164
Ez nem baj, csak kérdezem.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:bár talán nemtartozik a

#5 A frissítéseket így és itt is meg tudod nézni:

cat /var/log/apt/history.log

De lehet a 'less' vagy a 'more' paranccsal is a 'cat' helyett. ... csak azoknál a lapozás és a kilépés mikéntje más kicsit, röviden, léteznek ilyen fogalmak.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:Sajnos nekem nem látja a (nyílt és zárt driver)

#9 Ha VMware, akkor a gazda rendszer micsoda, Windows?

Értékelés: 

0
Még nincs értékelve

 Fogalmam sincs, hogy hogyan

 Fogalmam sincs, hogy hogyan futattom a Mintet.

Ezt irta ki:

qwarelin@qwarelin-Lenovo-G505s ~ $ sudo apt-get install --reinstall xserver-xorg-video-ati
Csomaglisták olvasása... Kész
Függőségi fa építése
Állapotinformációk olvasása... Kész
Néhány csomagot nem lehetett telepíteni. Ez azt jelentheti, hogy
egy lehetetlen állapotot kért, vagy ha az unstable disztribúciót
használja, akkor néhány igényelt csomag még nem készült el vagy ki
lett mozdítva az Incoming-ból.
Az alábbi információk segíthetnek megoldani a problémát:

Az alábbi csomagoknak teljesítetlen függőségei vannak:
xserver-xorg-video-ati : Függ ettől: xorg-video-abi-15
Függ ettől: xserver-xorg-core (>= 2:1.14.99.902)
Függ ettől: xserver-xorg-video-glamoregl de az nincs telepítésre megjelölve
E: A problémák nem javíthatók, sérült csomagokat fogott vissza.

 

DE AZ ÚJRAINDITÁS UTÁN NEM IRT KI FIGYELMEZTETÉST, ÉS AZ illesztőprogram-kezelő IS AZ ALAP KÁRTYÁT IRJA KI.

TEHÁT KÖSZÖNÖM SZÉPEN!!!

A másod kártyát valamiért úgy látszik nem szereti.

 

Értékelés: 

0
Még nincs értékelve

 Nemigazán ide tartozik! A

 Nemigazán ide tartozik! A hozzászólásaim alatt, leirtam ami a gépemről eszembe jutott. És amiről telepítettem a Mintet (linuxmint-17.3-cinnamon-64bit) de az asztali környezetet ez nem mondja meg?

A súgóban talált leírás alapján leszedtem az ATI oldaláról egy drivert (radeon-crimson-15.12-15.302-151217a-297685e), és egy catalyst control centert (amd-catalyst-13.9-linux-x86.x86_64). Ezt majd kipróbálom ha meglesz az összes progi, és újratelepítem a rendszert. Kiváncsi vagyok mit csinálnak.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE: Fogalmam sincs, hogy hogyan

#12 Szerintem elég érthetően írtam le, hogy nem pontosan az alábbi csomag lehet neked telepítve (esetleg), arra keress rá a Synaptic-ban (a telepítettek között). Tehát hogy nem az alábbi, hanem egy hosszabb nevű,

sudo apt-get install --reinstall xserver-xorg-video-ati

erre mit csinálsz, rákeresel erre. Hm.
És hogy kéne újratelepíteni (kizárólag a '--reinstall' kapcsolóval), ami telepítve van, mert így újragenerálja a beállításait. A környezet alapján, tehát jó lesz. Figyelmesebben kéne olvasni.

A többi parancs javíthatta meg a rendszered. Ennek örülök.

Értékelés: 

0
Még nincs értékelve

 Ja amit irtam megvan már pár

 Ja amit irtam megvan már pár napja, nem most kerestem.

Amit a Terminálba kellet irni megoldotta a hibát.

Az újratelpitésre úgy gondoltam teljesen elölről telepitem, majd egyszer a rendszert, és akkor csinálok saját kezüleg 3 particiót, ( swap, home, stb.).

Most vettem észre, hogy nem láttam 2 hozzászólásodat. Ezért elnézésedet kérem. Nem direkt hagytam figyelmen kívül a hozzászólásodat.

A 20:10-es hozzászólásod Terminálos parancsai rendbe hozta a rendszerem, És valahogy nem vettem észre őket. Máskor jobban figyelek.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Asztali környezet mutatása (terminál)

#13 Mielőtt bármit telepítesz, használd a Systemback-et!

Asztali környezet

De .., az asztali környezet is kideríthető, ez a legegyszerűbb mód erre;

echo $DESKTOP_SESSION
xfce

van több módja is, de itt látja az is, aki ..., szóval világos mindenkinek. :)
     -- grafikusan is meg lehet próbálni; a rendszer tulajdonságainál szerepel. ^ ^

wmctrl -m
Name: Xfwm4
Class: xfwm4
PID: 3533
Window manager's "showing the desktop" mode: N/A

A 'wmctrl' csomag alapértelmezetten nincs telepítve.

De mondjuk a 'pstree' is mutatja, hogy Xfce-m van (nálad Cinnamon-t mutat majd):

pstree
init─┬─/usr/bin/termin─┬─bash───pstree
     │                 ├─gnome-pty-helpe
     │                 └─{/usr/bin/termin}
     ├─NetworkManager─┬─pppd
     │                └─2*[{NetworkManager}]
     ├─acpi_fakekeyd
     ├─acpid
     ├─atd
     ├─audacious───5*[{audacious}]
     ├─avahi-daemon───avahi-daemon
     ├─bluetoothd
     ├─clipit
     ├─console-kit-dae───64*[{console-kit-dae}]
     ├─cron
     ├─cupsd
     ├─2*[dbus-daemon]
     ├─dbus-launch
     ├─dconf-service───2*[{dconf-service}]
     ├─exim4
     ├─gconfd-2
     ├─6*[getty]
     ├─gnome-keyring-d───7*[{gnome-keyring-d}]
     ├─gpg-agent
     ├─gthumb───2*[{gthumb}]
     ├─gvfs-afc-volume───{gvfs-afc-volume}
     ├─gvfs-gdu-volume
     ├─gvfs-gphoto2-vo
     ├─gvfsd
     ├─gvfsd-dnssd
     ├─gvfsd-metadata
     ├─gvfsd-network───2*[{gvfsd-network}]
     ├─gvfsd-trash
     ├─hddtemp
     ├─inetd
     ├─modem-manager
     ├─nm-applet───{nm-applet}
     ├─polkit-gnome-au───2*[{polkit-gnome-au}]
     ├─polkitd───{polkitd}
     ├─rpc.idmapd
     ├─rpc.statd
     ├─rpcbind
     ├─rsyslogd───3*[{rsyslogd}]
     ├─sh───conky───13*[{conky}]
     ├─slim─┬─Xorg
     │      └─sh─┬─ssh-agent
     │           ├─xfce4-session─┬─Thunar───2*[{Thunar}]
     │           │               ├─xfce4-panel─┬─panel-3-screens
     │           │               │             ├─panel-6-systray
     │           │               │             ├─xfce4-mixer-plu───{xf+
     │           │               │             └─{xfce4-panel}
     │           │               ├─xfdesktop
     │           │               ├─xfwm4
     │           │               └─{xfce4-session}
     │           └─xscreensaver
     ├─sshd
     ├─system-config-p
     ├─udevd───2*[udevd]
     ├─udisks-daemon─┬─udisks-daemon
     │               └─2*[{udisks-daemon}]
     ├─upowerd───2*[{upowerd}]
     ├─x-www-browser───44*[{x-www-browser}]
     ├─xfce4-power-man───{xfce4-power-man}
     ├─xfce4-settings-
     ├─xfce4-volumed───2*[{xfce4-volumed}]
     ├─xfconfd
     └─xfsettingsd

Vagy nézzünk egy ilyet:

pgrep -l 'gnome|kde|mate|cinnamon|lx|xfce|jwm'
9 kdevtmpfs
3389 gnome-keyring-d
3528 xfce4-session
3541 xfce4-panel
3545 xfce4-power-man
3552 xfce4-settings-
3569 xfce4-volumed
3571 polkit-gnome-au
3572 xfce4-mixer-plu
7805 gnome-pty-helpe

___

Mellékesen a Display Manager meg így;

cat /etc/X11/default-display-manager
/usr/bin/slim

Értékelés: 

0
Még nincs értékelve

 Cinammont ir ki mint asztali

 Cinammont ir ki mint asztali környezet. Azt hittem, hogy a telepítő nevéből kiderül. Mégegyszer köszönöm a segítségedet.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE: Cinammont ir ki mint asztali

#17 Szívesen. :)

Láthattad,
https://media.giphy.com/media/l4KicKtRCOdLuuW7m/giphy.gif
és akkor feladat most semmi. :D
http://49.media.tumblr.com/4dbc9110701e0eb442b7b6b8d9a27838/tumblr_mkexg...

Értékelés: 

0
Még nincs értékelve

 Az ATI oldaláról letöltöttem

 Az ATI oldaláról letöltöttem ezt a csamagot vagy mit. (amd-catalyst-13.9-linux-x86.x86_64.run)

Csináltam a systemback-el egy visszaállítási pontot, és telepíteném a catalyst control centert!

De nem jöttem rá hogy kell elinditani a .run kiterjesztésű file-okat.

Azért raknám fel, mert a winnél is akkor ismerte fel a jobbik videókártyámat amikor a ccc feltelepítettem, az USB 3.0 is jobban működött utána.

Gondoltam hátha itt is telepíteni kell a ccc-t hogy felismerje a dolgokat.

Tudnátok segiteni hogy kell elinditani?

Értékelés: 

0
Még nincs értékelve

Tanulságok!

A Linux Mintem nem tudja kezelni a videókártyáimat "[AMD/ATI] Trinity [Radeon HD 7640G] / [AMD/ATI] Sun PRO [Radeon HD 8570A/8570M]". Vagy legalábbis a jobbikat. Felraktam a mintet a kisebbiket kiirja mindenhol kezeli is. Az LSPCI -nnkv parancsnál látja a másodikat de eddig bármit csináltam máshol nem. Ha felraktam a catalys-t (fglrx-amdcccle) a illesztőprogram-kezelőben is csak a 8500 seriest irta ki, ami nem pontos. Ekkor állandóan kijelentkezési, és többszöri újraindítási problémáim voltak. A rendszeinformációnál (prog-if 00 [VGA contoller])-t ir. Ma felraktam a fglrx-et azonnal előjött a  kijelentkezési ,és inditási próblémák. Kiváncsiságból a fglrx-amdcccle-t is telepítettem, ami vissza állította az alap állapotra a videó drivert. Ezért inkább a systembackkel vissza állítottam, mindent.

Van valakinek valami ötlete, hogy hogy lehetne beüzemelni a jobbik kártyámat?

Értékelés: 

0
Még nincs értékelve

RE: Nem szereti?

  #12 Emlékeim szerint még a telepítés előtt letiltottad a másik videokártyát a BIOS-ban, ha így van, nem is csoda, hogy nem látja a rendszer. Nem állítanám biztosra, hogy felkutatom az erről szóló hozzászólásodat a Telepítés Windows mellé témában.

*Megkerestem: https://linuxmint.hu/comment/4291#comment-4291

 

Értékelés: 

0
Még nincs értékelve

RE:RE: Nem szereti?

#21  Igen volt ilyen, de még a wines dual bootos időben. Mivel az nem jött össze vissza állítottam a biost alap állapotba.

Értékelés: 

0
Még nincs értékelve

RE:...mar irtam rola...

@#23 Ööö... Hirtelen nem találom. Hova irtál? 

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:...mar irtam rola...

@#25

A kérdéseknél a kernel cserére gondolsz?

Lehet félreértelek,de a libre officban megnyitom a CALC-ot akkor a táblázatkezelő nyilik meg!? 

Ha meg a fájlrendszerben keresek rá a CALC-ra nagyon sok szöveges állományt ir ki.

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:RE:...mar irtam rola...

@#27 Arra gondoltam, hogy feltném másod rendszernek az új ubuntut. Ha annál jó akkor valószínűleg az új Mint is jó lesz.

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:RE:RE:RE:...mar irtam rola...

@#30  Igen, olvastam már a fórumon.

Értékelés: 

0
Még nincs értékelve

 Na felraktam a legújabb

 Na felraktam a legújabb Ubuntut. Most van két linuxom a gépemen. A gond az, hogy az ubuntu se ismeri fel a jobbik videó kártyám. Bár a cpunál van váltotzás. AMD A8-4500M APU with  Radeon(tm) HD graphics x2 helyett x4-et ir. A (lspci -nnkv) parancs szerint is csak a kisebbiket ismeri fel.

Értékelés: 

0
Még nincs értékelve

RE:ATI / ATI Hybrid

#33  Nem, nem találtam meg. De mentségemül szolgáljon, hogy egy szót sem értek angolul. Majd google transleterezem. Hátha.

Értékelés: 

0
Még nincs értékelve

RE:ATI / ATI Hybrid

#33  Még az elsőt csak csak értem. Gondolom csak be kell másolni a terminálba, de azt nem tudom, hogy a catalystot kell-e telepíteni, ha igen mikor. De a másodikhoz igencsak sok segítségre lenne szükségem.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:ATI / ATI Hybrid

#34 A fordítás ..:

# A használatban lévő GPU megmutatása (listázás)

amdconfig --pxl

# A GPU kártya aktíválása, rendszer vagy  X Server (vagy Display Manager, pl. MDM) újraindítás szükséges

sudo amdconfig --px-dgpu
sudo reboot

# Az integrált GPU aktíválása, rendszer vagy  X Server (vagy Display Manager, pl. MDM) újraindítás szükséges

sudo amdconfig --px-igpu
sudo reboot

Az újraindítást is odaírtam a parancsokhoz.
'After switching, one would log out and back in to restart X.'
A váltás után egy ki- és egy bejelentkezés szükséges a beállítás használatba vételéhez.

Így már megfelel?

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:ATI / ATI Hybrid

#37 Igen. Köszönöm.

Bár nem mükődik. amdconfig: a parancs nem található.

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:RE:RE:ATI / ATI Hybrid

#38 Szerintem az 'fglrx' telepítése hozza magával.

Listázd ki, mi van neked;

ls /usr/lib/fglrx/bin

     -- http://wiki.cchtml.com/index.php/Ubuntu_Trusty_Installation_Guide#amdcon...

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:RE:ATI / ATI Hybrid

#39 Az sincs telepítve. Illetve systembackkel visszaállítva. Kicsit fentem irtam, hogy felraktam az fglrx-et de az kijelentkezési, és újraindítási hibákat okozott. Ez után felraktam a fglrx-amdcccle-t ami vissza állította a rendszer a kisebbik kártyára. Ezek után inkább visszaállítottam a rendszert systembackel az fglrx előtti állapotra. De holnap felrakhatom valamelyiket a kettő közül.

Szerk.: Melyiket rakjam fel? A sima fglrx-et vagy a fglrx a catalystal (flrx-amdcccle)-t

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:RE:RE:RE:RE:ATI / ATI Hybrid

#40 Értem. Gondolkodom azon, hogy melyik drivert érdemes telepítened, csak más dolgokkal vagyok elfoglalva most éppen, de ma választ adok.

Értékelés: 

0
Még nincs értékelve

RE:RE:RE:RE:RE:RE:RE:ATI / ATI Hybrid

#41 Oké! Köszi! Nem sürgős. 

Értékelés: 

0
Még nincs értékelve

Elnapolva!

Tisztelt kimarite megkérhetlek, hogy napoljuk el a kérdést?

Először is nagyon köszönöm a segítségedet!

Sikerült win-Linux dualbootot csinálni, most probálgatom a dolgokat. Ha mükődik minden akkor a winen tudom használni játékokhoz a nagyobbik videókártyámat. A mindennapi dolgokhoz pedig a Linuxot hasznánám. :)

Mégegyszer köszönöm a sok-sok segítséget!

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE: nem napoltuk el :)

#43 Készítesz egy Systemback visszaállítási pontot,
(amikor a nyílt driver van feltéve - ez az az állapot, ami a telepítés után van)

     -- majd innen letöltöd a beta AMD driver-t
http://support.amd.com/en-us/kb-articles/Pages/latest-linux-beta-driver....
ami körülbelül ez lesz
(a szövegkörnyezet fontos [neked], a driver URL-t nem tudom pontosan linkelni, mert újúlhat, és ekkor a letöltési link is más)

The AMD Catalyst™ 14.6 Beta driver can be downloaded from the following link:

Note! This Driver is provided "AS IS" and under the terms and conditions of the End User License Agreement provided with it.

     -- a telepítésre visszatérünk, de a saját mappába töltsd le a 'ZIP' fájlt (a linkelt drivert)

     -- neked jó, azaz megfelelő,

AMD Product Compatibility:
The AMD Catalyst™ 14.6 Beta Driver for Linux is compatible with the following AMD products.

AMD Desktop Product Family Compatibility
AMD Radeon™ R9 200 Series AMD Radeon™ HD 7000 Series
AMD Radeon™ R7 200X Series AMD Radeon™ HD 6000 Series
AMD Radeon™ HD 8000 Series ATI Radeon™ HD 5000 Series

 

AMD All-In-One Desktop Product Family Compatibility
AMD Radeon™ HD 7600A Series AMD Radeon™ HD 6600A Series
AMD Radeon™ HD 7450A Series AMD Radeon™ HD 6350A Series

 

AMD Embedded Product Family Compatibility
AMD Radeon™ E6760 AMD Radeon™ E6460

 

AMD APU Product Family Compatibility
Desktop Mobile
AMD Radeon™ R7 Series AMD Radeon™ R7 Series
AMD Radeon™ HD 8000D Series AMD Radeon™ HD 8000G Series
AMD Radeon™ HD 7000D Series AMD Radeon™ HD 7000G Series
AMD Radeon™ HD 6000D Series AMD Radeon™ HD 6000G Series

 

AMD Mobility Product Family Compatibility
AMD Radeon™ HD 8000M Series AMD Radeon™ HD 6000M Series
AMD Radeon™ HD 7000M Series ATI Mobility Radeon™ HD 5000 Series

 

Linux Distributions Supported:
The AMD Catalyst™ 14.6 Beta Driver for Linux is designed to support the following Linux distributions:

    • Red Hat Enterprise Linux Suite 6.4 and 6.5
    • SUSE® Linux Enterprise 11 SP3
    • openSUSE 13.1
    • Ubuntu 12.04.4 and 14.04

System Requirements:
Before attempting to install the AMD Catalyst™ Linux graphics driver, the following software must be installed:

    • Xorg/Xserver 7.4 and above (up to 1.15)
    • Linux kernel 2.6 or above (up to 3.13)
    • glibc version 2.2 or 2.3
    • POSIX Shared Memory (/dev/shm) support is required for 3D applications

NOTE: If a Linux 2.6.11 or newer kernel was built with CONFIG_AGP enabled, the kernel AGP frontend is required to load the fglrx kernel module. To identify whether your kernel with CONFIG_AGP enabled, look for CONFIG_AGP=y in the kernel config file, or if the 'agpgart' module is loaded

System Recommendations:
For optimal performance and ease of use, the following are available:

    • Kernel module build environment
      • Kernel source code include either the Kernel Source or Kernel Headers packages
    • The RPM utility should be installed and configured correctly on your system, if you intend to install via RPM packages

The following packages must be installed in order for the AMD Catalyst™ Linux graphics driver to install and work optimally:

    • gimp-help-en
    • gimp-help-common
    • XFree86-Mesa-libGL
    • libstdc++
    • libgcc
    • XFree86-libs
    • fontconfig
    • freetype
    • zlib
    • gcc

     -- telepíted, és a telepítés után újraindítod a rendszert

     -- készítesz egy második Systembac visszaállítási pontot ('neve'; vissza a jövőbe)

     -- megnézheted a GPU-kat (listázás) ... fontos lenne idemásolnod az eredményt

aticonfig --list-adapters

vagy (amelyik eredményt hoz, de kérek erről tájékoztatást feltétlen)

amdconfig --list-adapters

    -- és beállítod mindkettőt ... fontos lenne idemásolnod az eredményt

sudo aticonfig --adapter=all --initial

vagy (amelyik eredményt hoz, de kérek erről tájékoztatást feltétlen)

sudo amdconfig --adapter=all --initial

     -- újraindítod a rendszert

sudo reboot

     -- készítesz egy harmadik Systemback visszaállítási pontot

     -- a Catalyst-ben megnézed, látszik-e mindkét GPU, és ha igen, engedélyezed (kérek részletes tájékoztatást feltétlen, pl. így;
igen látszanak / nem látszik csak a ... GPU | látszik mindkettő, és mindkettőt engedélyezni tudtam / stb., fantázia)

___

Maradjunk abban, hogy kövesd a leírásom, juss el addig, hogy a saját mappádba letöltötted a zárt AMD drivert (ZIP), akkor diskurzunk tovább a telepítésről. Mindenről részletes beszámoló kell, az nem elég, hogy 'megcsináltam'. És nem úgy kell a beszámoló, hogy azt írod 'a képen láthatóan telepítettem az fglrx-updates csomagot' ...., mert a képen egészen más látható (te linkelted) :). Az látható, hogy már a nylít drivert telepítetted az említett helyett;
http://i.imgur.com/TlQRKYb.png
és ez elég megtévesztő ... lenne, ha nem gondolnánk mi is át, hogy valójában mit csinálhattál még (azon kívül, amit mondasz, és azon kívül, ami látszik [a képen]).
köszi

___

     -- http://linuxforums.org.uk/index.php?topic=10564.0
     -- http://ubuntu.hu/node/36657 # zfox

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE: nem napoltuk el :)

#44 Ez a hozzászólás is jó (lehet majd valamire .. később),
https://linuxmint.hu/comment/6270#comment-6270
csak amd helyett ati-val;
http://askubuntu.com/questions/668574/how-to-switch-to-discrete-graphics...

Esetleg vga_switcheroo (vagy acpi_call)
https://bbs.archlinux.org/viewtopic.php?pid=1322906#p1322906
https://help.ubuntu.com/community/HybridGraphics

Értékelés: 

0
Még nincs értékelve

RE:RE: nem napoltuk el :)

#45 Szia!

Most ott tartok, hogy a saját mappába letöltöttem a "linux-amd-catalyst-14.6-beta-v1.0-jul11.zip", majd kicsomagoltam. A mappában "fglrx-14,20" egy .run fájl van "amd-driver-installer-14.20-x86.x86_64.run".

Valahol ezt találtam:

# run kiterjesztés futtatása
cd /program_helye
chmod +x [programnév].run # futtathatóvá kell tenni
./[programnév].run # futtatás
sh [programnév].run # futtatás alternatíva

Ezt így futtathatom?

Értékelés: 

0
Még nincs értékelve
kimarite képe

sudo ./amd-driver-installer-*.run --buildpkg Ubuntu/trusty

#46 Belépsz a kicsomagolt könyvtárba

cd fglrx-14.20/

Itt vagy; ~/fglrx-14.20$

Majd ellenőrzöd a jogosultságokat

ls -la

Ha nincs futtatásra ('x') jog a telepítőn, akkor megadod,

chmod +x amd-driver-installer-14.20-x86.x86_64.run

de én eleve láttam ilyen jogot.

És futtatod.

sudo ./amd-driver-installer-14.20-x86.x86_64.run

Én emelt jog nélkül ('sudo') futtattam és a telepítési kísérlet közben sem adtam meg -kétszer sem- a felhasználói jelszavam.
Így futott le (valójában nem futott le)

./amd-driver-installer-14.20-x86.x86_64.run 
Created directory fglrx-install.VGxCLs
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-14.20.............................................................................................................................................................
=====================================================================
 AMD Catalyst(TM) Proprietary Driver Installer/Packager 
=====================================================================
Detected configuration:
Architecture: i686 (32-bit)
X Server: X.Org 6.9 or later
./lokixml.sh: 143: ./lokixml.sh: [[: not found
Removing temporary directory: fglrx-install.VGxCLs

A Systemback mentés megvan?
Lesznek még teendők. Az EULA-t is el kell fogadnod.

Előzetes teendőid;

sudo apt-get install build-essential linux-headers-generic debhelper dh-modaliases execstack

Ha telepítettél már zárt drivert, távolítsd el azokat és a beállításokat.

sudo apt-get autoremove --purge fglrx-*
sudo rm -rf /etc/X11/xorg.conf*

A telepítés (a telepítő futtatási parancsa) inkább ez legyen a fenti helyett

sudo ./amd-driver-installer-14.20-x86.x86_64.run --buildpkg Ubuntu/trusty

Ilyen módon futtatva a parancsot, nem települ a driver, hanem két DEB fájl készül el, és azokat te telepíted.

sudo dpkg -i fglrx-amdcccle_*.deb fglrx_*.deb

Javítás, ha kell.

sudo apt-get -f install

GPU gyorsítás.

sudo apt-get install xvba-va-driver

Az új 'xorg.conf' létrehozása a régi és törölt helyett és mindkét GPU-ra.

sudo amdconfig  --adapter=all --initial

Esetleg egy újraindítás.

sudo reboot

     -- forrás:
         http://ubuntu.hu/node/32124

32 bit-es telepítőket vélhetően el tudok készíteni, de nem azonnal (dolgom van), azonban neked sem nehéz.

Értékelés: 

0
Még nincs értékelve

RE:sudo ./amd-driver-installer-*.run --buildpkg Ubuntu/trusty

#47 Egyenlőre megnéztem a jogosultságot. 

-rwxr-xr-x 1 qwarelin qwarelin 128742301 júl 11 2014 amd-driver-installer-14.20-x86.x86_64.run

Tehát van jogosultságom.

A videóhoz nem nyúltam, nem telepítettem semmit. Csak az alap nyilt driver kellene, hogy fenn legyen.

A systemback mentés természetesen megvan.

Jól értelmezem a lépéseket?

1: sudo apt-get install build-essential linux-headers-generic debhelper dh-modaliases execstack

2: sudo ./amd-driver-installer-14.20-x86.x86_64.run --buildpkg Ubuntu/trusty

3: sudo dpkg -i fglrx-amdcccle_*.deb fglrx_*.deb

4: Honan tudom hogy kell ez a parancs? sudo apt-get -f install

5: sudo apt-get install xvba-va-driver

6: sudo amdconfig --adapter=all --initial

7: sudo reboot

Értékelés: 

0
Még nincs értékelve

RE:RE:RE: nem napoltuk el :)

#46 (Nem kellene előbb .deb csomagokat csinálni belőle? https://help.ubuntu.com/community/BinaryDriverHowto/AMD#Installing_upstr...)

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:RE:sudo ./amd-driver-installer-*.run --buildpkg Ubuntu/trusty

#48 Stimmelnek a lépések, mehet ilyen sorrendben.
'Honan tudom hogy kell ez a parancs? sudo apt-get -f install'
Kell, a biztonság kedvéért (nem mondtam, hogy nem kell ..). Ha nem tökéletes a telepítés, a parancs azt megpróbálja helyretenni, de ha minden rendben, azt nem jelzi (szokás szerint), hanem csak visszatér a prompt.

Értékelés: 

0
Még nincs értékelve
kimarite képe

... telepítés

#51 ...

sudo apt-get install build-essential linux-headers-generic debhelper dh-modaliases execstack
cd fglrx-14.20/
chmod +x amd-driver-installer-14.20-x86.x86_64.run
sudo ./amd-driver-installer-14.20-x86.x86_64.run --buildpkg Ubuntu/trusty
sudo dpkg -i fglrx-amdcccle_*.deb fglrx_*.deb
cd
sudo apt-get -f install
sudo apt-get install xvba-va-driver
sudo amdconfig --adapter=all --initial
sudo reboot

Értékelés: 

0
Még nincs értékelve
kimarite képe

RE:... telepítés

#52 Azt elfelejtettem mondani, hogy a 'systemback-cli' csomagot is telepítsd, azzal tudod konzolon a rendszered visszaállítani, de gondolom, már ismered a Systemback működését, olvastad a Wiki-t, telepítetted a csomagot. Amikor én használtam, nem kellett a konzolhoz külön csomag, egyben volt minden.
http://wiki.ubuntu.hu/index.php/A_Systemback_telep%C3%ADt%C3%A9se_%C3%A9...
https://hu.wikipedia.org/wiki/Systemback
Mondjuk, éppen az egyik helyen sincs erről semmi (tényleg), de igazán egyszerű (és Live rendszerről is lehetséges), azt hiszem, futtatnod kell a 'systemback-cli' parancsot (Ctrl + Alt + F1) és aztám magyarul ki lesz írva, mit csinálj (ez így volt régebben is). De ezt nem kell megcsinálnod, csak akkor, ha nem lesz grafikus felületed valamiért, mert amúgy ekkor nincs más választásod, mint a konzol (és a Live rendszer természetesen a chroot-tal).

Értékelés: 

0
Még nincs értékelve

RE:RE:... telepítés

#53 Csahas tanácsára tegnap telepítettem a cli kiegészitést. Egyébként érdekes nekem nem magyar. De ezt még tudom kezelni.

Értékelés: 

0
Még nincs értékelve

RE:... telepítés

#52 Mégsincs rá jogosultságom a run fájlra? Ez van az elején: -rwxr-xr-x.

Értékelés: 

0
Még nincs értékelve

Oldalak